< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
- SbtExample

o

uk.gov.hmrc

# SbtExample 

###

#### object SbtExample extends AutoPlugin

Linear Supertypes
AutoPlugin, PluginsFunctions, Basic, Plugins, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SbtExample
2. AutoPlugin
3. PluginsFunctions
4. Basic
5. Plugins
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def &&(o: Basic): Plugins
   Definition Classes
     Basic → Plugins
4.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
5.  def allRequirements: PluginTrigger
   Definition Classes
     PluginsFunctions
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def buildSettings: Seq[sbt.Def.Setting[_]]
   Definition Classes
     AutoPlugin
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  def derivedProjects(proj: ProjectDefinition[_]): Seq[Project]
   Definition Classes
     AutoPlugin
10.  def empty: Plugins
    Definition Classes
      PluginsFunctions
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def extraProjects: Seq[Project]
    Definition Classes
      AutoPlugin
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def globalSettings: Seq[sbt.Def.Setting[_]]
    Definition Classes
      AutoPlugin
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  val hello: InputKey[Unit]
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  val label: String
    Definition Classes
      AutoPlugin
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def noTrigger: PluginTrigger
    Definition Classes
      PluginsFunctions
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def projectConfigurations: Seq[Configuration]
    Definition Classes
      AutoPlugin
26.  lazy val projectSettings: Seq[sbt.Def.Setting[InputTask[Unit]]]
    Definition Classes
      SbtExample → AutoPlugin
27.  def requires: Plugins
    Definition Classes
      AutoPlugin
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AutoPlugin → AnyRef → Any
30.  def trigger: PluginTrigger
    Definition Classes
      AutoPlugin
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AutoPlugin

### Inherited from PluginsFunctions

### Inherited from Basic

### Inherited from Plugins

### Inherited from AnyRef

### Inherited from Any

### Ungrouped